network-wiredMNEE API

Welcome to the MNEE API Reference! This section provides detailed information about the available methods, parameters, and responses for interacting directly with the MNEE API. The API is designed to be intuitive and easy to use, allowing you to manage and take full control of your integration.

circle-check

Get config

get
/v1/config

Get MNEE configuration and fee structure

Authorizations
auth_tokenstringRequired
Responses
chevron-right
200

OK

application/json
approverstringOptionalExample: 02bed35e894cc41cc9879b4002ad03d33533b615c1b476068c8dd6822a09f93f6c
decimalsintegerOptionalExample: 5
feeAddressstringOptionalExample: 1H9wgHCTHjmgBw4PAbQ4PQBQhGFrHWhjbU
burnAddressstringOptionalExample: 1HNuPi9Y7nMV6x8crJ6DnD1wJtkLym8EFE
mintAddressstringOptionalExample: 1AZNdbFYBDFTAEgzZMfPzANxyNrpGJZAUY
tokenIdstringOptionalExample: 833a7720966a2a435db28d967385e8aa7284b6150ebb39482cc5228b73e1703f_0
get
/v1/config

Get all MNEE transactions

get
/v1/sync

Gather a list of all MNEE transactions

Authorizations
auth_tokenstringRequired
Query parameters
fromintegerOptional

Min score

limitintegerOptional

Maximum number of transactions to return

Default: 1000
Responses
chevron-right
200

Signed transactions

application/json
blkHashstringOptional
blkTimeintegerOptional
heightintegerOptionalExample: 800000
idxintegerOptionalExample: 1
outsinteger[]Optional
rawtxstringOptionalExample: base64 encoded rawtx
receiversstring[]Optional
scorenumberOptionalExample: 800000000000001
sendersstring[]Optional
txidstringOptional
get
/v1/sync

Get transactions for specific addresses

post
/v1/sync

Gather a list of all MNEE transactions for a batch of addresses

Authorizations
auth_tokenstringRequired
Query parameters
fromintegerOptional
limitintegerOptional

Maximum number of transactions to return per address (defaults to 0, which returns all transactions)

Default: 0
orderstringOptional

Sync Order

Bodystring[]
string[]Optional
Responses
chevron-right
200

Signed transactions

application/json
blkHashstringOptional
blkTimeintegerOptional
heightintegerOptionalExample: 800000
idxintegerOptionalExample: 1
outsinteger[]Optional
rawtxstringOptionalExample: base64 encoded rawtx
receiversstring[]Optional
scorenumberOptionalExample: 800000000000001
sendersstring[]Optional
txidstringOptional
post
/v1/sync

Submit a partially-signed transfer transaction

post
/v1/transfer
Authorizations
auth_tokenstringRequired
Body
rawtxstringOptionalExample: base64 string
Responses
chevron-right
200

Signed transaction

application/json
rawtxstringOptionalExample: base64 string
post
/v1/transfer

Transfer Mnee tokens

post
/v2/transfer

Validates and transfers mnee transactions. Returns a ticket ID for tracking the transaction.

Authorizations
auth_tokenstringRequired
Body
rawtxstringOptionalExample: base64 string
Responses
chevron-right
200

Transfer submitted successfully. Returns ticket ID for tracking.

text/plain
stringOptional

Ticket ID for tracking the transfer transaction

Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
post
/v2/transfer

Get Ticket

get
/v2/ticket

Returns Ticket By Ticket ID

Authorizations
auth_tokenstringRequired
Query parameters
ticketIDstringRequired

Ticket ID

Responses
chevron-right
200

Ticket response

application/json
action_requestedstringOptional
callback_urlstringOptional
createdAtstringOptional
errorsstringOptional
idstringOptional
statusstringOptional
tx_hexstringOptional
tx_idstringOptional
updatedAtstringOptional
get
/v2/ticket

Retrieve UTXOs for a batch of addresses

post
/v1/utxos
Authorizations
auth_tokenstringRequired
Bodystring[]
string[]Optional
Responses
chevron-right
200

UTXOs

application/json
heightintegerOptional
idxintegerOptional
outpointstringOptional
ownersstring[]Optional
satoshisintegerOptional
scorenumberOptional
scriptstringOptionalExample: base64 string
txidstringOptionalExample: hex string
voutintegerOptional
post
/v1/utxos

Get Utxos by addresses

post
/v2/utxos

Returns the array of unspent utxos

Authorizations
auth_tokenstringRequired
Query parameters
pagestringOptional

Default: 1

Default: 1
sizestringOptional

Default: 10

Default: 10
orderstringOptional

Sync Order

Bodystring[]
string[]Optional

Addresses to lookup for utxos

Responses
chevron-right
200

OK

application/json
heightintegerOptional
idxintegerOptional
outpointstringOptional
ownersstring[]Optional
satoshisintegerOptional
scorenumberOptional
scriptstringOptionalExample: base64 string
txidstringOptionalExample: hex string
voutintegerOptional
post
/v2/utxos

Fetch balances for given addresses

post
/v2/balance

Accepts a list of addresses and returns their balances.

Authorizations
auth_tokenstringRequired
Bodystring[]
string[]Optional

List of addresses

Responses
chevron-right
200

Balances result

application/json
addressstringOptionalExample: 1A1QNEkLuvAALsmG4Me3iubP8zb5C6jpv5
amtnumberOptionalExample: 30300303
precisednumberOptionalExample: 34.22
post
/v2/balance

Retrieve transaction

get
/v1/tx/{txid}
Authorizations
auth_tokenstringRequired
Path parameters
txidstringRequired
Responses
chevron-right
200

Transaction data

application/json
rawtxstringOptionalExample: base64 string
get
/v1/tx/{txid}

Last updated